# Hide and Seek for MW2/IW4x

This mod implements the Hide and Seek game mode as a GSC modification for
Modern Warfare 2, based on the IW4x mod.

## How to play

There is two teams, *Hiders* and *Seekers*.

### Hiders

Hiders have 30 seconds ahead of the seekers to disguise themselves as props on
the map. They can either do that by running up to the prop they want to change
into then *attacking* it (usually clicking the left mouse button) to change into
it or by pressing the *reload* key (usually R) to change into random props.

There is also a **model menu** to choose manually from the collection of props
that can be changed into by pressing the *smoke* key (4).

Hiders can switch between third-person and first-person perspective to get a
chance to adjust themselves more precisely.

They are also in possession of a knife to destroy blocking windows or, of course, kill Seekers in action to prevent them from winning their mission.

### Seekers

Seekers go on a hunt for Hiders after the 30 seconds intro. The mission is
simple: Find and kill them all to win. For this they are by default provided with Semtex, a far-range primary and a near-range secondary weapon, each loaded with maximum ammo, and a tactical knife.

## How to host

Save `z_svr_hns.iwd` and `mod.ff` to a new folder (in this case we call it
`hns`) in `<your IW4x installation path>/mods` on your game server filesystem.
Then launch the server with these dvars set:

- `fs_game`: `mods/hide_and_seek_v2_dedicated`
- `g_gametype`: `hns`

You can set these dvars as part of map rotations or directly on the server
command line.

### Dvars

Dvars that can be changed:

- `scr_hns_halftime`, default value: `0`
- `scr_hns_numlives`, default value: `1`
- `scr_hns_prereleasetime`, default value: `30` - Defines how many seconds seekers are blind at the beginning of a round so Hiders have a chance to hide.
- `scr_hns_roundlimit`, default value: `0`
- `scr_hns_roundswitch`, default value: `1`
- `scr_hns_scorelimit`, default value: `0`
- `scr_hns_seekers_primary_weapon`, default value: `ak47_reflex_mp`
- `scr_hns_seekers_secondary_weapon`, default value: `deserteagle_tactical_mp`
- `scr_hns_timelimit`, default value: `5`
- `scr_hns_winlimit`, default value: `4`
